[debian] backport-sloppy

巴蛮子 posted @ 2011年2月10日 09:58 in Debian with tags debian linux backports , 4770 阅读
2010.06 Maldives (part 2)

 (不使用stable的用户不用看了)

我在公司的办公电脑上装了个colinux,里面跑的是debian stable(目前最新的预装的disk image是5.0 lenny)。为了多一些更新,也加上了lenny-backports这个仓库。

但backports有个问题,那就是只会从往回移植只会从testing到stable,而一旦下一个版本发布testing变为了stable(原来的stable变为oldstable),针对oldstable的backports就停止更新了(除非是stable有了小版本号的更新(比如刚刚5.0.7升级为5.0.8),或者是安全不定,但这都需要临时性的手工批准操作)。所以你只能从lenny + lenny-backports升级到squeeze,不能升级到 squeeze + squeeze-backports。

有点绕糊涂了是吧?简单地说就是不会发生从当前testing移植到oldstable的情况,lenny用户只能在squeeze发布前得到一些testing中的更新,不能在squeeze发布后再得到testing中的更新(好像还是比较绕,没看明白的自己看英文吧)。

为了解决这个问题,Debian提供了backports-sloppy这个新的仓库。

对于lenny用户,lenny-backports-sloppy已经启动了(Feb 8, 2011):


deb http://backports.debian.org/debian-backports lenny-backports main
deb http://backports.debian.org/debian-backports lenny-backports-sloppy main

对于squeeze用户,目前squeeze-backports都刚启动,暂不用考虑squeeze-backports-sloppy。

参考:


 

 

 


登录 *


loading captcha image...
(输入验证码)
or Ctrl+Enter